import { expect } from 'chai';
import { Injector } from '../../src/Injector'
import { COMPONENT_A_VALUE, COMPONENT_B_VALUE, COMPONENT_C_VALUE } from '../CONSTANTS';
import { TestComponent } from './TestComponent'

var chai = require("chai");
var chaiAsPromised = require("chai-as-promised");

chai.use(chaiAsPromised);

describe('dependjs', () => {
    it('initialized in the requested order', () => {

        const testComp = Injector.resolve(TestComponent)
        const data = testComp.getData()

        expect(data).to.eql([COMPONENT_C_VALUE, COMPONENT_B_VALUE, COMPONENT_A_VALUE])
    })
})